> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs-beta.getzep.com/v4/sdk-reference/agent/learning/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server. # Get Agent Learning State GET https://api.getzep.com/api/v4/agents/{agent_uuid}/learning Reference: https://docs-beta.getzep.com/sdk-reference/agent/learning/get ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Type "Api-Key" followed by a space and the project API key. ## Request ### Path parameters - `agent_uuid` (string, required) — Agent UUID ### Query parameters - `task_family` (string, required) — Task family ## Response ### 200 OK - `approval` (string, optional) — Approval is the approval mode of the Agent: manual or auto. The default is auto. - `compilation_mode` (string, optional) - `compilation_pending` (boolean, optional) — CompilationPending is true while a learning run for the task family waits to start or runs. Skills from that run are not yet available. - `eligible_trajectory_count` (integer, optional) - `minimum_attempt_families` (integer, optional) - `next_step` (string, optional) - `required_evaluations` (list of string, optional) - `task_family` (string, optional) ## Errors ### 400 Bad Request Error Bad Request - `error` (v4.ErrorBody, optional) ### 401 Unauthorized Error Unauthorized - `error` (v4.ErrorBody, optional) ### 403 Forbidden Error Forbidden - `error` (v4.ErrorBody, optional) ### 404 Not Found Error Not Found - `error` (v4.ErrorBody, optional) ## Types ### v4.ErrorBody - `code` (string, optional) - `details` (map from string to any, optional) - `message` (string, optional) - `param` (string, optional) - `request_id` (string, optional) ## Examples **Response** ```json { "approval": "string", "compilation_mode": "string", "compilation_pending": true, "eligible_trajectory_count": 1, "minimum_attempt_families": 1, "next_step": "string", "required_evaluations": [ "string" ], "task_family": "string" } ```